<?php
if($StrCmd=="GEN_PDF_1"){
	$_PDF=GEN_PDF_1($StrId);
	$StrDESCARGAR=$_PDF;	
}
//**************************************************************************************
function GEN_PDF_1($StrId){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"GUIA",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------
$s="SELECT ALM,SER,NUM,DATE_FORMAT(FEC,'%d-%m-%y') AS FEC_EMI,
	DATE_FORMAT(FEC,'%d-%m-%y') AS FEC_TRA,
	DIR_PAR,DES_RS,DES_RUC,DES_DNI,DES_DIR,ET_RS,ET_RU,
	TMAR,TPLA 
FROM vguias WHERE ID=$StrId";

$Cad="ALMACEN,SERIE,NUMERO,FEC.EMISION,FEC.TRASLADO,PUNTO.PARTIDA,".
     "DESTINATARIO,RUC.DESTINATARIO,".
     "DNI.DESTINATARIO,PUNTO.LLEGADA,EMP.TRASPORTE,EMP.TRANS.RUC,MARCA,PLACA";
$DAT=explode(',',$Cad);
//
$result = grs($s);			
while ($row = $result->fetch_assoc()){
	for($i=0; $i<=13; $i++){
		if(strlen($row[$i])>0){
		$_ENC=vbl($DAT[$i].vbfill(" ",16),16)." ".vbl(":".vbfill(" ",1),1);
		$_ENC=$_ENC." ".vbl($row[$i].vbfill(" ",30),30);
		$pdf->Cell(0,4,$_ENC,0,1);		
		}
	}
}
$pdf->Cell(0,4,"",0,1);
//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$_ENC=vbr(" #",2);
$_ENC=$_ENC." ".vbl("CODIGO".vbfill(" ",14),14);
$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",35),35);
$_ENC=$_ENC." ".vbl("LINEA".vbfill(" ",22),22);
$_ENC=$_ENC." ".vbr(vbfill(" ",6)."CAJAS",6);
$_ENC=$_ENC." ".vbr(vbfill(" ",6)."PIEZAS",6);
$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
//$SEPARADOR=gs("aux_des","auxiliares","aux_tip='SIM'");
//if(strlen($SEPARADOR)==0){$SEPARADOR="-";}	
//  	
$_IT=0;
$s="SELECT ID,COD,DES,LIN,KA,PIEZAS
FROM vguias_det WHERE ID=$StrId ORDER BY ID,COD";
$s="SELECT * FROM guias_det WHERE id_guia=$StrId ORDER BY cx";
$result = grs($s);
while ($row = $result->fetch_assoc()){	
	$_IT++;
	//
	$_COD=gs("COD","vproductos","ID=".$row[id_producto]);
	$_DES=gs("DESCRIPCION","vproductos","ID=".$row[id_producto]);
	$_LIN=gs("LINEA","vproductos","ID=".$row[id_producto]);
	//
	$_ENC=vbr(vbfill(" ",2).$_IT,2);
	$_ENC=$_ENC." ".vbl($_COD.vbfill(" ",14),14);
	$_ENC=$_ENC." ".vbl($_DES.vbfill(" ",35),35);
	$_ENC=$_ENC." ".vbl($_LIN.vbfill(" ",22),22);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).$row[ca],6);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).$row[can_uni],6);
	/*
	$_ENC=vbr(vbfill(" ",2).$_IT,2);
	$_ENC=$_ENC." ".vbl($row[COD].vbfill(" ",14),14);
	$_ENC=$_ENC." ".vbl($row[DES].vbfill(" ",35),35);
	$_ENC=$_ENC." ".vbl($row[LIN].vbfill(" ",22),22);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).$row[KA],6);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).$row[PIEZAS],6);
	*/
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$row[can_uni];
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).$TOT,14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="GUIA.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>


<?php
if($StrCmd=="GEN_PDF_2"){
	$S_FIL="$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrPro,$StrSN";
	$S_CAM="ALMACEN,COMPROBANTE,SERIE,NUMERO,DESDE,HASTA,DESTINATARIO,ANULADO";
	//
	$_PDF=GEN_PDF_2($FF,$S_FIL,$S_CAM);
	$StrDESCARGAR=$_PDF;
}
//**************************************************************************************
function GEN_PDF_2($FF,$S_FIL,$S_CAM){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"GUIAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------
$FIL=explode(',',$S_FIL);
$CAM=explode(',',$S_CAM);

for($i=0; $i<=7; $i++){
	if(strlen($FIL[$i])>0){
	$_ENC=vbl($CAM[$i].vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($FIL[$i].vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
	}
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$_ENC=vbl("NUMERO".vbfill(" ",15),15);
$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",11),11);
$_ENC=$_ENC." ".vbl("DESTINATARIO".vbfill(" ",50),50);
$_ENC=$_ENC." ".vbl("RUC".vbfill(" ",11),11);
$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,ALM,'GUIA' as COM,CONCAT(SER,'-',NUM) AS SER,DATE_FORMAT(FEC,'%d-%m-%y') AS FEC,DES_RS,DES_RUC 
	FROM vguias 
	WHERE $FF ORDER BY ALM,SER,NUM,FEC,DES_RS ";

$result = grs($s);
while ($row = $result->fetch_assoc()){	
	$_ENC=vbl($row[SER].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl($row[FEC].vbfill(" ",11),11);
	$_ENC=$_ENC." ".vbl($row[DES_RS].vbfill(" ",50),50);
	$_ENC=$_ENC." ".vbl($row[DES_RUC].vbfill(" ",11),11);
	$pdf->Cell(0,4,$_ENC,0,1);		
}

$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);

//$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
//$_TD=vbr(vbfill(" ",14).$TOT,14);
//$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="GUIAS.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>


<?php
if($StrCmd=="GEN_PDF_3"){
	$S_FIL="$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,".
	       "$StrPro,$StrSN,$StrCod,$StrDes,$StrMar";
	$S_CAM="ALMACEN,COMPROBANTE,SERIE,NUMERO,DESDE,HASTA,DESTINATARIO,".
	       "ANULADO,CODIGO,DESCRIPCION,LINEA";
	//
	$_PDF=GEN_PDF_3($FF,$S_FIL,$S_CAM);
	$StrDESCARGAR=$_PDF;
}
//**************************************************************************************
function GEN_PDF_3($FF,$S_FIL,$S_CAM){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"GUIA DETALLADO",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------
$FIL=explode(',',$S_FIL);
$CAM=explode(',',$S_CAM);
//
for($i=0; $i<=10; $i++){
	if(strlen($FIL[$i])>0){
	$_ENC=vbl($CAM[$i].vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($FIL[$i].vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
	}
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------	
//$SEPARADOR=gs("aux_des","auxiliares","aux_tip='SIM'");
//if(strlen($SEPARADOR)==0){$SEPARADOR="-";}

/*$s="SELECT ID,ALM,ACC,NUM,DATE_FORMAT(FEC,'%d-%m-%y') AS FEC,
	COD,DES,LIN,CAJAS,PIEZAS,PIEZAS_AJUSTE
	FROM vis_ajustes_presentacion_det  WHERE $FF GROUP BY ID ORDER BY ALM,ACC,NUM,FEC  ";*/

$s="SELECT ID,ALM,'GUIA' as
	COM,SER,NUM,DATE_FORMAT(FEC,'%d-%m-%y') AS FEC,
	DES_RS,DES_RUC,DES,MAR,KA,COD,LIN,PIEZAS
	FROM vguias_det WHERE $FF GROUP BY ID ORDER BY ALM,SER,NUM,FEC,DES_RS ";


$result = grs($s);
while ($row = $result->fetch_assoc()){
	$_ENC=vbl("SER: ".$row[SER].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl("NUM: ".$row[NUM].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl("FEC: ".$row[FEC].vbfill(" ",14),14);
	$_ENC=$_ENC." ".vbl("DESTINATARIO: ".$row[DES_RS].vbfill(" ",40),40);
	$pdf->Cell(0,4,$_ENC,0,1);	

	$_ENC=vbl("CODIGO".vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",30),30);
	$_ENC=$_ENC." ".vbl("LINEA".vbfill(" ",29),29);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6)."CAJAS",6);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6)."PIEZAS",6);
	$pdf->Cell(0,4,$_ENC,0,1);
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
	
$TOT=0;

$sS="SELECT ID,ALM,'GUIA' as
	COM,SER,NUM,DATE_FORMAT(FEC,'%d-%m-%y') AS FEC,
	DES_RS,DES_RUC,DES,MAR,KA,COD,LIN,PIEZAS
	FROM vguias_det WHERE ID=$row[0] ORDER BY ALM,SER,NUM,FEC,DES_RS ";

	$resultS = grs($sS);
	while ($rowS = $resultS->fetch_assoc()){	
	$_ENC=vbl($rowS[COD].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl($rowS[DES].vbfill(" ",30),30);
	$_ENC=$_ENC." ".vbl($rowS[LIN].vbfill(" ",29),29);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).$rowS[KA],6);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).$rowS[PIEZAS],6);

	$pdf->Cell(0,4,$_ENC,0,1);	
	
	//$TKA=$TKA+$rowS[CAJAS];
	$TOT=$TOT+$rowS[PIEZAS];
	}
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);

	$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
	//$_TD=vbr(vbfill(" ",10).$TKA,10);
	$_TD=$_TD." ".vbr(vbfill(" ",13).$TOT,13);

	$pdf->Cell(0,4,$_TI." ".$_TD,0,1);

	$pdf->Cell(0,4,"",0,1);		
	$pdf->Cell(0,4,"",0,1);	
}
$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Guia_Detallado.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>
